"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/link-box.tsx
var link_box_exports = {};
__export(link_box_exports, {
  CLinkBox: () => CLinkBox,
  CLinkOverlay: () => CLinkOverlay
});
module.exports = __toCommonJS(link_box_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_vue_system = require("@chakra-ui/vue-system");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue.isVNode)(s);
}
__name(_isSlot, "_isSlot");
var CLinkOverlay = (0, import_vue2.defineComponent)({
  name: "CLinkOverlay",
  props: {
    as: {
      type: [Object, String],
      default: "a"
    },
    isExternal: Boolean
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
      "as": props.as,
      "__label": "linkbox__overlay",
      "rel": props.isExternal ? "noopener noreferrer" : void 0,
      "target": props.isExternal ? "_blank" : void 0,
      "__css": {
        position: "static",
        "&::before": {
          content: "''",
          cursor: "inherit",
          display: "block",
          position: "absolute",
          top: 0,
          left: 0,
          zIndex: 0,
          width: "100%",
          height: "100%"
        }
      }
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CLinkBox = (0, import_vue2.defineComponent)({
  name: "CLinkBox",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => {
      return (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
        "as": props.as,
        "__label": "linkbox",
        "position": "relative",
        "__css": {
          "a[href]:not(.chakra-linkbox__overlay), abbr[title]": {
            position: "relative",
            zIndex: 1
          }
        }
      }, attrs), _isSlot(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CLinkBox,
  CLinkOverlay
});
